Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 602228 - app-text/calibre 2.70.0 and 2.73.0: The master file must be one of the files being merged
Summary: app-text/calibre 2.70.0 and 2.73.0: The master file must be one of the files ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ian Stakenvicius
URL: https://bugs.launchpad.net/calibre/+b...
Whiteboard:
Keywords:
Depends on: 606674
Blocks:
  Show dependency tree
 
Reported: 2016-12-10 10:02 UTC by sebB
Modified: 2017-03-09 16:58 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info gnome (emerge info gnome,5.13 KB, text/plain)
2016-12-11 20:06 UTC, sebB
Details
emerge --info plasma (emerge info plasma,5.22 KB, text/plain)
2016-12-11 20:07 UTC, sebB
Details
calibre-debug --test-build (debug,6.66 KB, text/plain)
2016-12-14 21:57 UTC, sebB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sebB 2016-12-10 10:02:06 UTC
Merging 2 files in ebook edition don't work.

calibre 2.73  embedded-python: False is64bit: True
Linux-4.4.26-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_Q_720_@_1.60GHz-with-gentoo-2.2 Linux ('64bit', 'ELF')
('Linux', '4.4.26-gentoo', '#1 SMP PREEMPT Sun Nov 20 19:00:01 CET 2016')
Python 2.7.12
Linux: ('Gentoo Base System', '2.2', '')
Successfully initialized third party plugins: KePub Output (2, 7, 1)
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/tweak_book/boss.py", line 70, in ans
    return func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/tweak_book/boss.py", line 1253, in merge_requested
    merge(current_container(), category, names, master)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/polish/split.py", line 495, in merge
    raise AbortError('The master file (%s) must be one of the files being merged' % master)
AbortError: The master file (&test.html) must be one of the files being merged


Reproducible: Always
Comment 1 sebB 2016-12-11 20:06:39 UTC
Created attachment 455878 [details]
emerge --info gnome
Comment 2 sebB 2016-12-11 20:07:12 UTC
Created attachment 455880 [details]
emerge --info plasma
Comment 3 sebB 2016-12-11 20:09:35 UTC
I have a gnome session on an other DD on the same computer.
With gnome session I can merge 2 files in calibre edit ebook, no error.

Running emerge -e @world in the plasma session don't solve the problem
Comment 4 sebB 2016-12-14 21:07:19 UTC
To test if it's a gentoo bug, I've installed archlinux on an other DD.
Same problem.
Into gnome session no problem, but in plasma session session I have the bug.
I try with lxqt too and no problem.

So it's plasma related

calibre-debug --edit-book -t

devicePixelRatio: 1.0
logicalDpi: 96.1119113573 x 96.0945812808
physicalDpi: 96.1119113573 x 96.0945812808
KSambaShare: Could not find smb.conf!
kf5.kio.core: KLocalSocket(0x422c4a0) Jumbo packet of 41408 bytes
calibre 2.73  embedded-python: False is64bit: True
Linux-4.4.26-gentoo-x86_64-Intel-R-_Core-TM-_i7_CPU_Q_720_@_1.60GHz-with-gentoo-2.2 Linux ('64bit', 'ELF')
('Linux', '4.4.26-gentoo', '#1 SMP PREEMPT Sun Nov 20 19:00:01 CET 2016')
Python 2.7.12
Linux: ('Gentoo Base System', '2.2', '')
Traceback (most recent call last):
  File "/usr/lib64/calibre/calibre/gui2/tweak_book/boss.py", line 70, in ans
    return func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/tweak_book/boss.py", line 1253, in merge_requested
    merge(current_container(), category, names, master)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/polish/split.py", line 495, in merge
    raise AbortError('The master file (%s) must be one of the files being merged' % master)
AbortError: The master file (OEBPS/&Text/Section0002.xhtml) must be one of the files being merged
Comment 5 sebB 2016-12-14 21:57:36 UTC
Created attachment 456246 [details]
calibre-debug --test-build
Comment 6 Zac Medico gentoo-dev 2017-01-21 17:37:54 UTC
According to the last comment in the upstream bug report, a fix should have been included in 2.77.
Comment 7 Zac Medico gentoo-dev 2017-03-09 16:58:30 UTC
Should be fixed in 2.78.0.